/* Index.php */

.index-component-content-main-box {
    min-height: 100%;
    padding-top: 120px;
    padding-bottom: 50px;
    background-color: rgb(249, 249, 249);
}

html {
    height: 100%;
}

body {
    height: 100%;
    background-color: rgb(249, 249, 249);
}
/* Topbar component css */
.navbar-item img {
    max-height: unset;
}

.navbar {
    border-bottom: #00d1b2 solid 2px;
}

.topbar-component-userprofile-picture-box{
    width: 50px !important;
    height: 50px !important;
    flex-shrink: 0;
    flex-grow: 0;
    flex-basis: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    border: 1px solid #7a7a7a;
    overflow: hidden;
}

.topbar-component-userprofile-picture {   
    max-height: 50px !important;
    max-width: 50px;
    height: fit-content;
    width: fit-content;
}

/* List component css */

.list-component-product-list-item {
    display: flex;
    flex-direction: row;
    padding: 25px 10px;
}

.list-component-product-list-item-content-box {
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin-left: 50px;
    width: 100%;
}

.list-component-product-list-item-link {
    color: unset;
    text-decoration: none;
}

.list-component-product-list-item-link:hover {
    color: unset;
}

.list-component-product-list-item:hover {
    background-color: rgba(0, 209, 178, 0.06);
}

.list-component-product-list-item-picture-box {
    width: 300px !important;
    height: 300px !important;
    flex-shrink: 0;
    flex-grow: 0;
    flex-basis: 300px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.list-component-product-list-item-picture {
    max-height: 300px;
    height: fit-content;
}

.list-component-product-divider {
    width: 100%;
    border-bottom: #00d1b2 solid 2px;
}

/* Bought component css */

.bought-items-compoents-list-item-content {
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 10px 0;
}

.bought-items-compoents-list-item-content:hover{
    background-color: rgba(0, 209, 178, 0.06);
}

.bought-items-component-product-list-item-picture-box {
    width: 150px !important;
    height: 150px !important;
    flex-shrink: 0;
    flex-grow: 0;
    flex-basis: 150px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.bought-items-component-product-list-item-picture{
    max-height: 150px;
    height: fit-content;
    width: fit-content;
}

/* Item Detailview component css */

.item-detailview-component-top-main-content-box {
    display: flex;
    flex-direction: row;
}

.item-detailview-component-top-main-image-box {
    width: 700px !important;
    height: 500px !important;
    flex-shrink: 0;
    flex-grow: 0;
    flex-basis:700px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.item-detailview-component-top-main-image {
    max-height: 500px;
    height: fit-content;
    width: fit-content;
}

.item-detailview-component-top-main-sub-content-box {
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin-left: 25px;
}

.item-detailview-component-bottom-main-content-box {
    display: flex;
    flex-direction: column;
}

.item-detailview-component-picture-box {
    width: 40px !important;
    height: 40px !important;
    flex-shrink: 0;
    flex-grow: 0;
    flex-basis: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    border: 1px solid #7a7a7a;
    overflow: hidden;
}

.item-detailview-component-picture{
    max-height: 40px !important;
    max-width: 40px;
    height: fit-content;
    width: fit-content;
}

/* Item Buy component css */

.item-buy-component-product-list-item {
    display: flex;
    flex-direction: row;
    padding: 25px 10px;
}

/* Profile Read component css */

.profile-read-component-picture-box {
    width: 300px !important;
    height: 300px !important;
    flex-shrink: 0;
    flex-grow: 0;
    flex-basis: 300px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    border: 1px solid #7a7a7a;
    overflow: hidden;
}

.profile-read-component-picture{
    max-height: 300px !important;
    max-width: 300px;
    height: fit-content;
    width: fit-content;
}